Method: locations.workforcePools.providers.scimTenants.list

Gemini Enterprise and Looker only. Lists all non-deleted WorkforcePoolProviderScimTenants in a WorkforcePoolProvider. If showDeleted is set to true, then deleted SCIM tenants are also listed.

HTTP request

GET https://iam.googleapis.com/v1/{parent=locations/*/workforcePools/*/providers/*}/scimTenants

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Gemini Enterprise and Looker only. The parent to list SCIM tenants. Format: 'locations/{location}/workforcePools/{workforcePool}/providers/{provider}'

Query parameters

Parameters
pageSize

integer

Optional. Gemini Enterprise and Looker only. The maximum number of SCIM tenants to return. If unspecified, at most 50 SCIM tenants will be returned. The maximum value is 100; values above 100 are truncated to 100.

pageToken

string

Optional. Gemini Enterprise and Looker only. A page token, received from a previous ListScimTenants call. Provide this to retrieve the subsequent page.

showDeleted

boolean

Optional. Gemini Enterprise and Looker only. Whether to return soft-deleted SCIM tenants.

Request body

The request body must be empty.

Response body

Gemini Enterprise and Looker only. Response message for scimTenants.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "workforcePoolProviderScimTenants": [
    {
      object (WorkforcePoolProviderScimTenant)
    }
  ],
  "nextPageToken": string
}
Fields
workforcePoolProviderScimTenants[]

object (WorkforcePoolProviderScimTenant)

Output only. Gemini Enterprise and Looker only. A list of SCIM tenants.

nextPageToken

string

Optional. Gemini Enterprise and Looker only. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.